From 5da00ad75b09e262774ec3675bbe4d5a4502a852 Mon Sep 17 00:00:00 2001
From: Bernard Spil <brnrd@FreeBSD.org>
Date: Sun, 1 Apr 2018 23:01:44 +0200
Subject: [PATCH] fix build with LibreSSL 2.7

LibreSSL 2.7 adds OpenSSL 1.1 API leading to conflicts on method names

See also: https://bugs.freebsd.org/226853
Signed-off-by: Bernard Spil <brnrd@FreeBSD.org>
---
 libarchive/archive_openssl_hmac_private.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

--- a/Utilities/cmlibarchive/libarchive/archive_openssl_evp_private.h
+++ b/Utilities/cmlibarchive/libarchive/archive_openssl_evp_private.h
@@ -28,7 +28,8 @@
 #include <openssl/evp.h>
 #include <openssl/opensslv.h>
 
-#if OPENSSL_VERSION_NUMBER < 0x10100000L || defined(LIBRESSL_VERSION_NUMBER)
+#if OPENSSL_VERSION_NUMBER < 0x10100000L || \
+	(defined(LIBRESSL_VERSION_NUMBER) && LIBRESSL_VERSION_NUMBER < 0x20700000L)
 #include <stdlib.h> /* malloc, free */
 #include <string.h> /* memset */
 static inline EVP_MD_CTX *EVP_MD_CTX_new(void)
